<?php
session_start();
if(strpos(strtolower($_SERVER['REQUEST_URI']), 'phpsessid') !== false)
{
  session_destroy();
  session_regenerate_id();
  session_start();
                              
}
include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/slugfy.php";

	


$sql_las_c = mysql_query("SELECT * FROM empresas ORDER BY id DESC LIMIT 1");

$lasc = mysql_fetch_assoc($sql_las_c);

$lastc = $lasc['id'];

$leo = 'Telefone';

mysql_query("INSERT INTO cadastros SET last_empresa='$lastc', data_cad=NOW()");


$texto = array();

$cidade = '';
$uf     = '';

$handle = fopen("ha.txt", "r");
if ($handle) {
    while (($line = fgets($handle)) !== false) {
      $line = trim($line);

        if($line!='') { 

          if(strpos($line,']]')){

          $cuf = explode('||', $line);
          $cidade = str_replace('[[', '', $cuf[0]);
          $uf = str_replace(']]', '', $cuf[1]);
          $autotag = str_replace(']]', '', $cuf[2]);


       
         } else{
        
            $texto[] = ($line).'<br>';

         }


        }
    }


    fclose($handle);

    echo "<pre>";

    foreach ($texto as $a) {



    	$bomba = explode('///', $a);

    	if(sizeof($bomba)>1){ 
    	
      
      
  
      
  	   
    	$slug = slugfyURL(trim($bomba['0']));
    	$empresa = trim(strip_tags($bomba['0']));
    	
    	$tipo_logradouro = trim(strip_tags($bomba['1']));
    	$logradouro = trim(strip_tags($bomba['3']));
    	 
    	 
    	$numero = trim(strip_tags($bomba['4']));
    	
        $cep = trim(strip_tags($bomba['5']));
        $telefone = trim(strip_tags($bomba['6']));
        $bairro_emp = trim(strip_tags($bomba['7']));
        $cidade_emp = trim(strip_tags($bomba['8']));
        $uf_emp = trim(strip_tags($bomba['9']));
        $id_secundario = trim(strip_tags($bomba['10']));
        $id_atividade = trim(strip_tags($bomba['11']));
        
     
        $id_cidade = trim(strip_tags($bomba['12']));
        $id_uf = trim(strip_tags($bomba['13']));
        $cnae = trim(strip_tags($bomba['14']));
                
        $id_nivel_1 = trim(strip_tags($bomba['15']));
        $id_nivel_2 = trim(strip_tags($bomba['16']));
        $id_nivel_3 = trim(strip_tags($bomba['17']));
        $id_nivel_4 = trim(strip_tags($bomba['18']));
        $id_nivel_5 = trim(strip_tags($bomba['19']));
        
     //   $uf_emp2 = trim(strip_tags($bomba['20']));
     //   $id_emp = trim(strip_tags($bomba['21']));
        
                
        $bairro = $bairro4 = trim(strip_tags($bomba['2'])); 
      	$bairro2 = slugfyURL($bairro);
        
    	$selestado = mysql_query("SELECT id FROM l_estados WHERE uf='$uf'");
    	$getuf = mysql_fetch_assoc($selestado);
    	$iduf=$getuf['id'];
    

    	$selcidade = mysql_query("SELECT id_cidade FROM l_cidades WHERE id_uf='$iduf' AND slug='$cidade'");
    	$getcidade = mysql_fetch_assoc($selcidade);
    	$idc=$getcidade['id'];

 //$getcidade = mysql_fetch_assoc($selcidade);
	    	$idr=$getcidade['id'];    


    	$bairro2 = slugfyURL($bairro);

    	$selbairro = mysql_query("SELECT * FROM l_bairros WHERE id_uf='$iduf' AND id_cidade='$id_cidade' AND slug='$bairro2'");
    	
    	if(mysql_num_rows($selbairro)==0){

        $bairro = mysql_real_escape_string($bairro, $con);
        
    		mysql_query("INSERT INTO l_bairros SET id_uf='$id_uf', id_cidade='$id_cidade', bairro='$bairro', slug='$bairro2', ativo='1' ");
    		$idb = mysql_insert_id();

        mysql_query("INSERT INTO l_bairros2 SET id='$idb', id_uf='$id_uf', id_cidade='$idc', bairro='$bairro', slug='$bairro2', ativo='1' ");

    	}else{

	    	$getbairro = mysql_fetch_assoc($selbairro);
	    	$idb=$getbairro['id'];    

    	}	
    
   $slug = $slug;

   $empresa = $empresa;

 
   $endereco = mysql_real_escape_string($endereco, $con);
   $empresa = mysql_real_escape_string($empresa, $con);


   if($autotag=='gotag') { 

    $sqltags = mysql_query("SELECT * FROM tags order BY rand() LIMIT 1");

    $tagg = mysql_fetch_assoc($sqltags);

    $empresa = $empresa.''.$tagg['tag'];
    $slug = $slug.''.$tagg['slug'];

  }


		mysql_query("INSERT INTO empresas SET slug = '$slug',
		empresa = '$empresa',
		
	
	
        tipo_logradouro = '$tipo_logradouro', 
        logradouro = '$logradouro',
        numero = '$numero',
        cep = '$cep',
        telefone = '$telefone',
        bairro_emp = '$bairro_emp',
        cidade_emp = '$cidade_emp',
        uf_emp = '$uf_emp',
        id_secundario = '$id_secundario',
        id_atividade = '$id_atividade',
        id_bairro = '$idb',
        id_cidade = '$id_cidade',
        id_uf = '$id_uf',
        cnae = '$cnae',
        
        id_nivel_1 = '$id_nivel_1',
        id_nivel_2 = '$id_nivel_2',
        id_nivel_3 = '$id_nivel_3',
        id_nivel_4 = '$id_nivel_4',
        id_nivel_5 = '$id_nivel_5'
       
	    ", $con) or die(mysql_error());


    $id_emp = mysql_insert_id();

    mysql_query("INSERT INTO l_box SET 

        nacional='$nacional',
        telefone='$telefone',
        empresa='$empresa',
       
        uf_emp2='$uf_emp2',
        id_bairro='$idb',
        id_cidade='$id_cidade',
        id_uf = '$id_uf',

    id_emp = '$id_emp',
    slug = '$slug'
   ",
     $con) or die(mysql_error());



}
    }

} else {
 
} 


if(file_exists('ha.txt')){
  unlink('ha.txt');
}
header("location:multi-emp3.php?cad=1");